__IF_EXISTS__
SELECT 1
	FROM CI_UT_INSTL_DTL
WHERE SCRIPT_FILE_NAME = 'FW43060_BPSCHEMA_OUAF-4805.SQL'
	AND END_DTTM IS NOT NULL
/
__THEN__

__EXIT__

__ENDIF__

__IF_EXISTS__
SELECT 1
FROM USER_TAB_COLUMNS
WHERE TABLE_NAME='F1_SYNC_REQ_IN' AND COLUMN_NAME = 'F1_INITIAL_LOAD_SYNC_FLG'
/
__THEN__
ALTER TABLE F1_SYNC_REQ_IN MODIFY F1_INITIAL_LOAD_SYNC_FLG VARCHAR(14)
/
UPDATE F1_SYNC_REQ_IN SET F1_INITIAL_LOAD_SYNC_FLG = ' ' WHERE TRIM(F1_INITIAL_LOAD_SYNC_FLG) IS NULL
/
UPDATE F1_SYNC_REQ_IN SET F1_INITIAL_LOAD_SYNC_FLG = TRIM(F1_INITIAL_LOAD_SYNC_FLG) WHERE TRIM(F1_INITIAL_LOAD_SYNC_FLG) IS NOT NULL
/
ALTER TABLE F1_SYNC_REQ_IN MODIFY F1_INITIAL_LOAD_SYNC_FLG CHAR(4)
/
__ENDIF__
